--- title: "Auto Translation" slug: "server-api-global-auto-translation" updated: 2023-10-18T03:50:11Z published: 2023-10-18T03:50:11Z canonical: "developer.comm100.com/server-api-global-auto-translation" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Auto Translation ## Auto Translation You need the Manage Settings permission to manage Auto Translation. - `Auto Translations` - Auto Translations Manage - `GET global/autoTranslationConfig` - [Get a single Auto Translation](/docs/server-api-global-auto-translation#get-a-single-auto-translation) - `POST global/autoTranslationConfig:disable` - [Disable the Auto Translation](/docs/server-api-global-auto-translation#disable-the-auto-translation) - `POST global/autoTranslationConfig:enable` - [Enable the Auto Translation](/docs/server-api-global-auto-translation#enable-the-auto-translation) - `PUT global/autoTranslationConfig` - [Update the Auto Translation](/docs/server-api-global-auto-translation#update-the-auto-translation) ### Auto Translation JSON Format Auto Translation is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `excludedWords` | string [] | Words/phrases that do not require translation. | | `isEnabled` | bool | Whether auto translation is enabled or not. | ### Get a single Auto Translation `GET global/autoTranslationConfig` - #### Parameters: No Parameters - #### Response: [Auto Translation](/docs/server-api-global-auto-translation#auto-translation-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/autoTranslationConfig \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "excludedWords": [ "Test" ], "isEnabled": true } ``` ### Disable the Auto Translation `POST global/autoTranslationConfig:disable` - #### Parameters: No Parameters - #### Response: [Auto Translation](/docs/server-api-global-auto-translation#auto-translation-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/autoTranslationConfig:disable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "excludedWords": [ "Test" ], "isEnabled": false } ``` ### Enable the Auto Translation `POST global/autoTranslationConfig:enable` - #### Parameters: No Parameters - #### Response: [Auto Translation](/docs/server-api-global-auto-translation#auto-translation-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/autoTranslationConfig:enable \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "excludedWords": [ "Test" ], "isEnabled": true } ``` ### Update the Auto Translation `PUT global/autoTranslationConfig` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `excludedWords` | string [] | body | no | Words/phrases that do not require translation. | | `isEnabled` | bool | body | no | Whether auto translation is enabled or not. | - #### Response: [Auto Translation](/docs/server-api-global-auto-translation#auto-translation-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/global/autoTranslationConfig \ -X 'PUT' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"excludedWords":["Test"],"isEnabled":true}' ``` Response: HTTP/1.1 200 OK ``` { "excludedWords": [ "Test" ], "isEnabled": true } ```